import java.rmi.*;
import java.rmi.server.*;

public class StatsServer extends UnicastRemoteObject implements StatsInterface
{
    StatsServer() throws RemoteException
    { super(); }

    public String getStats( String teamName) throws RemoteException
    { return "Only the Skins are cool"; }

    public static void main( String args[])
    {
		try {
	    	// set Security manager
	    	System.setSecurityManager(new RMISecurityManager());

	    	// create an instance of the local object
	    	StatsServer statsServer = new StatsServer();

	    	// plug the server into the Registry
	    	Naming.rebind("STATS", statsServer);
		} catch(Exception exc) {
	    	System.out.println("Error in main - " + exc.toString());
		}
    }
}
